azure backend problems

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

azure backend problems

duplicity-talk mailing list
Hello,

I'm wondering  if azure backend supported in any way.

latest released vesion fails with "BackendException: Azure backend
requires Microsoft Azure Storage SDK for Python
(https://pypi.python.org/pypi/azure-storage/)."

Error is around "from azure.storage.blob import BlobService".

I tried also git master version.
The whole package just don't build complaining on "error: package
directory 'testing/overrides' does not exist".
Replacing just the backend file alone leads to another error in it.

Is it fixable any time soon or should I abandon "duplicity on azure" idea?

Thank you.

--
Alex


_______________________________________________
Duplicity-talk mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/duplicity-talk
Reply | Threaded
Open this post in threaded view
|

Re: azure backend problems

duplicity-talk mailing list
I am using 0.7.12 azure with no issues.  You do need the storage api
which you have to get somewhere else, I have forgotten where I got
this from, its been a while.

On Thu, 06 Jul 2017 09:07:36 -0400,
Alex Kuklin via Duplicity-talk wrote:

>
> Hello,
>
> I'm wondering  if azure backend supported in any way.
>
> latest released vesion fails with "BackendException: Azure
> backend requires Microsoft Azure Storage SDK for Python
> (https://pypi.python.org/pypi/azure-storage/)."
>
> Error is around "from azure.storage.blob import BlobService".
>
> I tried also git master version.
> The whole package just don't build complaining on "error: package
> directory 'testing/overrides' does not exist".
> Replacing just the backend file alone leads to another error in it.
>
> Is it fixable any time soon or should I abandon "duplicity on azure" idea?
>
> Thank you.
>
> --
> Alex
>
>
> _______________________________________________
> Duplicity-talk mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/duplicity-talk

--
Your life is like a penny.  You're going to lose it.  The question is:
How do
you spend it?

         John Covici
         [hidden email]

_______________________________________________
Duplicity-talk mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/duplicity-talk
Reply | Threaded
Open this post in threaded view
|

Re: azure backend problems

duplicity-talk mailing list
In reply to this post by duplicity-talk mailing list
That tells you where to get and download the package.
https://pypi.python.org/pypi/azure-storage/

That package has to be downloaded separately.  The manual lists this:
http://duplicity.nongnu.org/duplicity.1.html#sect10

-Scott

> On Jul 6, 2017, at 9:07 AM, Alex Kuklin via Duplicity-talk <[hidden email]> wrote:
>
> Hello,
>
> I'm wondering  if azure backend supported in any way.
>
> latest released vesion fails with "BackendException: Azure backend requires Microsoft Azure Storage SDK for Python (https://pypi.python.org/pypi/azure-storage/)."
>
> Error is around "from azure.storage.blob import BlobService".
>
> I tried also git master version.
> The whole package just don't build complaining on "error: package directory 'testing/overrides' does not exist".
> Replacing just the backend file alone leads to another error in it.
>
> Is it fixable any time soon or should I abandon "duplicity on azure" idea?
>
> Thank you.
>
> --
> Alex
>
>
> _______________________________________________
> Duplicity-talk mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/duplicity-talk


_______________________________________________
Duplicity-talk mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/duplicity-talk
Reply | Threaded
Open this post in threaded view
|

Re: azure backend problems

duplicity-talk mailing list
In reply to this post by duplicity-talk mailing list
The location is in the error message.  That's pip, so just use "$ sudo pip install azure-storage".

...Ken


On Thu, Jul 6, 2017 at 9:19 AM, John Covici via Duplicity-talk <[hidden email]> wrote:
I am using 0.7.12 azure with no issues.  You do need the storage api
which you have to get somewhere else, I have forgotten where I got
this from, its been a while.

On Thu, 06 Jul 2017 09:07:36 -0400,
Alex Kuklin via Duplicity-talk wrote:
>
> Hello,
>
> I'm wondering  if azure backend supported in any way.
>
> latest released vesion fails with "BackendException: Azure
> backend requires Microsoft Azure Storage SDK for Python
> (https://pypi.python.org/pypi/azure-storage/)."
>
> Error is around "from azure.storage.blob import BlobService".
>
> I tried also git master version.
> The whole package just don't build complaining on "error: package
> directory 'testing/overrides' does not exist".
> Replacing just the backend file alone leads to another error in it.
>
> Is it fixable any time soon or should I abandon "duplicity on azure" idea?
>
> Thank you.
>
> --
> Alex
>
>
> _______________________________________________
> Duplicity-talk mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/duplicity-talk

--
Your life is like a penny.  You're going to lose it.  The question is:
How do
you spend it?

         John Covici
         [hidden email]

_______________________________________________
Duplicity-talk mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/duplicity-talk


_______________________________________________
Duplicity-talk mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/duplicity-talk